using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Client.IPC
{
    internal static class IPCClientFactory
    {
        private static Dictionary<string, IPCClient> Clients = new();

        public static IPCClient GetClient(string pipeName)
        {
            if (!Clients.TryGetValue(pipeName, out var client))
            {
                client = new IPCClient(pipeName);
                Clients[pipeName] = client;
            }
            return client;
        }
    }
}
